#!/bin/sh
set -e
#IPFire plugin for multicd.sh
#version 5.0
#Copyright (c) 2010 PsynoKhi0
#
#Permission is hereby granted, free of charge, to any person obtaining a copy
#of this software and associated documentation files (the "Software"), to deal
#in the Software without restriction, including without limitation the rights
#to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
#copies of the Software, and to permit persons to whom the Software is
#furnished to do so, subject to the following conditions:
#
#The above copyright notice and this permission notice shall be included in
#all copies or substantial portions of the Software.
#
#THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
#OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
#THE SOFTWARE.
if [ $1 = scan ];then
	if [ -f ipfire.iso ];then
		echo "IPFire"
	fi
elif [ $1 = copy ];then
	if [ -f ipfire.iso ];then
		echo "Copying IPFire..."
		if [ ! -d ipfire ];then
			mkdir ipfire
		fi
		if grep -q "`pwd`/ipfire" /etc/mtab ; then
			umount ipfire
		fi
		mount -o loop ipfire.iso ipfire/
		#Not sure whether the installation process uses absolute or relative directory navigation, playing it safe
		cp -r ipfire/boot multicd-working/IPFire #LiveCD kernel and filesystem?
		rm multicd-working/IPFire/isolinux/memtest #Redundant
		cp ipfire/ipfire-2.5.tbz2 multicd-working/ipfire-2.5.tbz2 #Persistent packages?
		umount ipfire
		rmdir ipfire
	fi
elif [ $1 = writecfg ];then
if [ -f ipfire.iso ];then
cat >> multicd-working/boot/isolinux/isolinux.cfg << "EOF"
label ipfire-default
	menu label ^IPFire - Default options
	kernel /IPFire/isolinux/vmlinuz
	append ide=nodma initrd=/IPFire/isolinux/instroot root=/dev/ram0 ramdisk_size=16384 vga=791 splash=silent ro
label ipfire-novga
	menu label ^IPFire - No VGA
	kernel /IPFire/isolinux/vmlinuz
	append ide=nodma initrd=/IPFire/isolinux/instroot root=/dev/ram0 ramdisk_size=16384 ro
label ipfire-dma
	menu label ^IPFire - DMA
	kernel /IPFire/isolinux/vmlinuz
	append initrd=/IPFire/isolinux/instroot root=/dev/ram0 ramdisk_size=16384 vga=791 splash=silent ro
label ipfire-unattended
	menu label ^IPFire - Unattended
	kernel /IPFire/isolinux/vmlinuz
	append ide=nodma initrd=/IPFire/isolinux/instroot root=/dev/ram0 ramdisk_size=16384 vga=791 splash=silent unattended ro
EOF
fi
else
	echo "Usage: $0 {scan|copy|writecfg}"
	echo "Use only from within multicd.sh or a compatible script!"
	echo "Don't use this plugin script on its own!"
fi
